Description

See this on a develop production install on centos7 .  Screenshot attached.

Related issues:

Related to Katello - Bug #13706: Dashboard items are on top Need more information02/15/2016

Associated revisions

Revision 076608d7 - 03/18/2016 11:01 AM - Dominic Cleal

fixes #13352 - order dashboard widgets by ID for consistency

When a user's dashboard widgets are seeded, they receive default row and

column positions of 1, so gridster organises the widgets in the order

they are defined in the view - which before this change, is up to the

database and can vary in order.

Ordering widgets by ID ensures the widgets will start in the order they

were added to the database in (which in turn is from the widget

registration order). If a user saves the dashboard, the saved row/col

values take precedence.

Revision fd6f0971 - 03/22/2016 01:15 PM - Dominic Cleal

fixes #13352 - order dashboard widgets by ID for consistency

When a user's dashboard widgets are seeded, they receive default row and

column positions of 1, so gridster organises the widgets in the order

they are defined in the view - which before this change, is up to the

database and can vary in order.

Ordering widgets by ID ensures the widgets will start in the order they

were added to the database in (which in turn is from the widget

registration order). If a user saves the dashboard, the saved row/col

values take precedence.

(cherry picked from commit 076608d7629efb4e50de3667d1c26e63fe092553)

History

#1 - 01/25/2016 08:08 AM - Dominic Cleal

- translation missing: en.field_release set to 71

Appears to be a recent regression, looks fine on 1.10.

#2 - 03/03/2016 08:21 AM - Ohad Levy

- Related to Bug #13706: Dashboard items are on top added

#3 - 03/17/2016 11:54 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#4 - 03/17/2016 12:22 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3341 added

#5 - 03/17/2016 12:24 PM - Dominic Cleal

Some additional data from an installation suffering from this bug.  When rendering the dashboard with a new user's seeded widgets, all rows and cols

are 1, but the order of widgets returned from the database is the reverse of what you'd expect:

irb(main):008:0> User.first.widgets

=> #<ActiveRecord::Associations::CollectionProxy [#<Widget id: 12, user_id: 3, template: "distribution_widget"

, name: "Distribution chart", data: {}, sizex: 6, sizey: 1, col: 1, row: 1, hide: false, created_at: "2016-03-

17 11:12:43", updated_at: "2016-03-17 11:12:43">, #<Widget id: 11, user_id: 3, template: "reports_widget", nam

e: "Report summary", data: {}, sizex: 6, sizey: 1, col: 1, row: 1, hide: false, created_at: "2016-03-17 11:12:

43", updated_at: "2016-03-17 11:12:43">, #<Widget id: 10, user_id: 3, template: "status_chart_widget", name: "

Status chart", data: {}, sizex: 4, sizey: 1, col: 1, row: 1, hide: false, created_at: "2016-03-17 11:12:43", u

pdated_at: "2016-03-17 11:12:43">, #<Widget id: 9, user_id: 3, template: "status_widget", name: "Status table"

, data: {}, sizex: 8, sizey: 1, col: 1, row: 1, hide: false, created_at: "2016-03-17 11:12:43", updated_at: "2

016-03-17 11:12:43">]>

 IDs are actually descending, and so the dashboard ends up "backwards", in the opposite order to the default widget registration order.

#6 - 03/18/2016 12:02 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 076608d7629efb4e50de3667d1c26e63fe092553.

#7 - 04/10/2016 06:14 AM - Ohad Levy

- Bugzilla link set to 1325644
